Error
A valid request URL is required to generate request examples{
"output": {
"message": {
"content": [
{
"text": "<string>",
"image": {
"source": {
"bytes": "aSDinaTvuI8gbWludGxpZnk="
}
},
"document": {
"name": "<string>",
"source": {
"bytes": "aSDinaTvuI8gbWludGxpZnk=",
"text": "<string>"
}
},
"toolUse": {
"toolUseId": "<string>",
"name": "<string>",
"input": {}
},
"toolResult": {
"toolUseId": "<string>",
"content": "<array>"
},
"guardContent": {
"text": {
"text": "<string>",
"qualifiers": [
"<string>"
]
}
},
"reasoningContent": {
"reasoningText": {
"text": "<string>",
"signature": "<string>"
}
},
"json": {},
"cachePoint": {}
}
]
}
},
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheReadInputTokens": 123,
"cacheWriteInputTokens": 123
},
"metrics": {
"latencyMs": 123
},
"additionalModelResponseFields": {},
"trace": {},
"performanceConfig": {},
"serviceTier": {}
}Bedrock Integration
Converse with model (Bedrock format)
Sends messages to a model using AWS Bedrock Converse API format.
POST
/
bedrock
/
model
/
{modelId}
/
converse
Error
A valid request URL is required to generate request examples{
"output": {
"message": {
"content": [
{
"text": "<string>",
"image": {
"source": {
"bytes": "aSDinaTvuI8gbWludGxpZnk="
}
},
"document": {
"name": "<string>",
"source": {
"bytes": "aSDinaTvuI8gbWludGxpZnk=",
"text": "<string>"
}
},
"toolUse": {
"toolUseId": "<string>",
"name": "<string>",
"input": {}
},
"toolResult": {
"toolUseId": "<string>",
"content": "<array>"
},
"guardContent": {
"text": {
"text": "<string>",
"qualifiers": [
"<string>"
]
}
},
"reasoningContent": {
"reasoningText": {
"text": "<string>",
"signature": "<string>"
}
},
"json": {},
"cachePoint": {}
}
]
}
},
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheReadInputTokens": 123,
"cacheWriteInputTokens": 123
},
"metrics": {
"latencyMs": 123
},
"additionalModelResponseFields": {},
"trace": {},
"performanceConfig": {},
"serviceTier": {}
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
Model ID (e.g., anthropic.claude-3-sonnet-20240229-v1:0)
Body
application/json
Array of messages for the conversation
Show child attributes
Show child attributes
System messages/prompts
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Model-specific parameters
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Available options:
end_turn, tool_use, max_tokens, stop_sequence, guardrail_intervened, content_filtered Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

